// PhBookDoc.cpp : implementation of the CPhBookDoc class
//

#include "stdafx.h"
#include "PhBook.h"

#include "PhBookDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPhBookDoc

IMPLEMENT_DYNCREATE(CPhBookDoc, CDocument)

BEGIN_MESSAGE_MAP(CPhBookDoc, CDocument)
	//{{AFX_MSG_MAP(CPhBookDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPhBookDoc construction/destruction

CPhBookDoc::CPhBookDoc()
{
	bFirst = true;
}

CPhBookDoc::~CPhBookDoc()
{
}

BOOL CPhBookDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	if (!bFirst)			//     ,
		return TRUE;		//  
							//    
	CFile file;				// ,  
	CFileException e;		//     
							//   
	CString fn = AfxGetApp()->GetProfileString("Recent File List", "File1");

	if ( !file.Open(fn, CFile::modeReadWrite,&e)) 
	{						//     
							//    
		if ( e.m_cause == CFileException::fileNotFound )
			AfxMessageBox(" "+fn+"  ");
		else
			AfxMessageBox("    "+fn);
		return TRUE;
	}
							//    
	CArchive ar (&file, CArchive::load);
	Serialize (ar);			//     
	SetPathName(fn);
	UpdateAllViews(NULL);	//  
	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CPhBookDoc serialization

void CPhBookDoc::Serialize(CArchive& ar)
{
		//        
	cMap.Serialize(ar);
	if (ar.IsStoring())		//     ( )
	{						//   
		ar << nTotal;		//  
	}
	else					//    
	{
		ar >> nTotal;		//  
	}
}

/////////////////////////////////////////////////////////////////////////////
// CPhBookDoc diagnostics

#ifdef _DEBUG
void CPhBookDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CPhBookDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CPhBookDoc commands

void CPhBookDoc::DeleteContents()
{
	cMap.RemoveAll();		//   
	CDocument::DeleteContents();
}
